# Features & roadmap

* Matrix → KakaoTalk
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [x] Stickers
      * [x] Files
      * [x] Voice messages
      * [x] Videos
      * [x] Images
      * [ ] Locations
    * [x] Replies<sup>[1]</sup>
    * [x] Mentions<sup>[1]</sup>
    * [ ] Polls
  * [x] Message redactions<sup>[2]</sup>
  * [ ] Message reactions
  * [x] Read receipts
  * [x] Power level
  * [ ] Membership actions
    * [ ] Invite
    * [ ] Kick
    * [ ] Leave
  * [ ] Room metadata changes
    * [ ] Name
    * [ ] Topic
    * [ ] Avatar
    * [ ] Per-room user nick
* KakaoTalk → Matrix
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [ ] Stickers
      * [ ] Files
      * [x] Voice messages
      * [x] Videos
      * [x] Images
      * [ ] Locations
      * [ ] Links
    * [x] Replies
    * [x] Mentions
    * [ ] Polls
    * [ ] Posts
  * [x] Message deletion/hiding
  * [ ] Message reactions
  * [x] Message history
  * [ ] Read receipts
    * [ ] On backfill
    * [x] On live event
  * [x] Admin status
  * [x] Membership actions
    * [x] Add member
    * [x] Remove member
    * [x] Leave
  * [x] Channel metadata
    * [x] Name
    * [x] Description
    * [x] Cover photo<sup>[3]</sup>
  * [x] User metadata
    * [x] Name
    * [x] Avatar
* Misc
  * [x] Multi-user support
  * [x] Shared group chat portals
  * [x] Automatic portal creation
    * [x] At startup
    * [x] When added to chat
    * [x] When receiving message
  * [ ] Private chat creation by inviting Matrix puppet of KakaoTalk user to new room
    * [x] For existing recently-updated KakaoTalk channels
    * [ ] For existing long-idled KakaoTalk channels
    * [ ] For new KakaoTalk channels
  * [x] Option to use own Matrix account for messages sent from other KakaoTalk clients

<sup>[1]</sup> Sometimes fails with "Invalid body" error
<sup>[2]</sup> Only recently-sent messages can be deleted
<sup>[3]</sup> Might only get synced on backfill, or on changing channel name/description
